Skip to content
API Reference

Update

PATCH/organizations/{organization_id}/service-accounts/{service_account_id}

Update a service account

Path ParametersExpand Collapse
organization_id: string

Organization ID or label identifier

minLength1
maxLength255
service_account_id: string

Identifier for API resources. A 26-char nanoid (URL/DNS safe).

minLength1
maxLength255
Header ParametersExpand Collapse
"X-Client-Request-ID": optional string
formatuuid
Body ParametersJSONExpand Collapse
description: optional string

Optional description of the service account

maxLength500
name: optional string

Service account name

ReturnsExpand Collapse
ServiceAccount = object { id, created_at, name, 3 more }
id: string

Identifier for API resources. A 26-char nanoid (URL/DNS safe).

minLength1
maxLength255
created_at: string

The time the entity was created in utc

formatdate-time
name: string

A name for the entity to be displayed in UI

updated_at: string

The time the entity was mostly recently updated in utc

formatdate-time
description: optional string

Optional description of the service account

permissions: optional map[map[boolean]]

Permissions granted to the authenticated principal for this resource. Only populated when the 'expand[]=permissions' query parameter is provided. Keys are resource types (e.g., "organizations"), values are objects mapping permission names to boolean values indicating if the permission is granted.

Update

curl https://api.keycard.ai/organizations/$ORGANIZATION_ID/service-accounts/$SERVICE_ACCOUNT_ID \
    -X PATCH \
    -H 'Content-Type: application/json' \
    -d '{}'
{
  "id": "ab3def8hij2klm9opq5rst7uvw",
  "created_at": "2019-12-27T18:11:19.117Z",
  "name": "name",
  "updated_at": "2019-12-27T18:11:19.117Z",
  "description": "description",
  "permissions": {
    "organizations": {
      "read": true,
      "update": true
    },
    "users": {
      "read": true,
      "list": true
    }
  }
}
Returns Examples
{
  "id": "ab3def8hij2klm9opq5rst7uvw",
  "created_at": "2019-12-27T18:11:19.117Z",
  "name": "name",
  "updated_at": "2019-12-27T18:11:19.117Z",
  "description": "description",
  "permissions": {
    "organizations": {
      "read": true,
      "update": true
    },
    "users": {
      "read": true,
      "list": true
    }
  }
}